Update a customer
curl --request PATCH \
--url https://api.usecerium.com/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"vip",
"beta"
],
"attributes": {
"plan": "Business",
"country": null
}
}
'import requests
url = "https://api.usecerium.com/v1/customers/{customerId}"
payload = {
"tags": ["vip", "beta"],
"attributes": {
"plan": "Business",
"country": None
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['vip', 'beta'], attributes: {plan: 'Business', country: null}})
};
fetch('https://api.usecerium.com/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
'vip',
'beta'
],
'attributes' => [
'plan' => 'Business',
'country' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/customers/{customerId}"
payload := strings.NewReader("{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.usecerium.com/v1/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [
"vip"
],
"attributes": {
"plan": "Business"
},
"createdAt": "2023-11-07T05:31:56Z",
"created": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "thread_not_found",
"message": "No conversation has that id."
}{
"code": "email_in_use",
"message": "Another customer already uses that email."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Customers
Update a customer
Changes the customer’s name, email or phone, their tags (the whole set) and their attributes (only the ones you send).
Send at least one of them. Everything is checked before anything is changed, so a request that fails changes nothing.
Required scope: customers:write.
PATCH
/
customers
/
{customerId}
Update a customer
curl --request PATCH \
--url https://api.usecerium.com/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"vip",
"beta"
],
"attributes": {
"plan": "Business",
"country": null
}
}
'import requests
url = "https://api.usecerium.com/v1/customers/{customerId}"
payload = {
"tags": ["vip", "beta"],
"attributes": {
"plan": "Business",
"country": None
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['vip', 'beta'], attributes: {plan: 'Business', country: null}})
};
fetch('https://api.usecerium.com/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
'vip',
'beta'
],
'attributes' => [
'plan' => 'Business',
'country' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/customers/{customerId}"
payload := strings.NewReader("{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.usecerium.com/v1/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n \"vip\",\n \"beta\"\n ],\n \"attributes\": {\n \"plan\": \"Business\",\n \"country\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [
"vip"
],
"attributes": {
"plan": "Business"
},
"createdAt": "2023-11-07T05:31:56Z",
"created": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "thread_not_found",
"message": "No conversation has that id."
}{
"code": "email_in_use",
"message": "Another customer already uses that email."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Authorizations
Body
application/json